@ECHO OFF
SETLOCAL
SET BATDIR=%~dp0
SET OUT_FNAME=%~n1.txt
SET AVI_FNAME=%~dpn1.avi

REM //■dLedSeqC用data出力処理を行う、バッチファイルです。
REM //Usage:
REM //  LedConv4.bat ベースファイル名
REM //Example:
REM //  LedConv4.bat Sample  … Sample.aviを読み込み、Sample.txtを出力する。全体ループ。

dpavidot.exe ^
 -f %BATDIR%LedConv4.lua ^
 -e LED_FNAME=[[LedSpec.csv]] ^
 -e OUT_FNAME=[[%OUT_FNAME%]] ^
 %AVI_FNAME%

ENDLOCAL
